import request from "@/utils/request.js";

/**
 * 当前用户交班详情
 * @param {*} params
 * @returns
 */
export function shopInfoqueryDuty(params) {
  return request({
    method: "get",
    url: "shopInfo/queryDuty",
    params,
  });
}

/**
 * 交班记录
 * @param {*} params
 * @returns
 */
export function shopinfoqueryDutyFlow(params) {
  return request({
    method: "get",
    url: "shopInfo/queryDutyFlow",
    params,
  });
}

/**
 * 登出
 * @param {*} params
 * @returns
 */
export function loginlogout(params) {
  return request({
    method: "post",
    url: "login/logout",
    params,
  });
}

/**
 * 获取交班数据
 * @param {*} params
 * @returns
 */
export function handoverData(params) {
  return request({
    method: "get",
    url: "/data/handoverData",
    params,
  });
}

/**
 * 打印交班数据
 * @param {*} params
 * @returns
 */
export function handoverprint(params) {
  return request({
    method: "get",
    url: "data/handoverprint",
    params,
  });
}
